<launch>
    <!-- Arguments -->
    <arg name="configuration_basename" default="arlobot_uv_sim_maps.lua"/>

    <include file="$(find arlobot_description)/launch/arlobot_uv_description.launch"/>

    <node pkg="laser_filters" type="scan_to_scan_filter_chain" name="laser_filter">
        <rosparam command="load" file="$(find cartographer_launcher)/config/rplidar_laser_config.yaml" />
    </node>


    <!-- cartographer_node -->
    <node pkg="cartographer_ros" type="cartographer_node" name="cartographer_node" args="-configuration_directory $(find cartographer_launcher)/config
              -configuration_basename $(arg configuration_basename)" output="screen">
        <remap from="scan" to="scan_filtered" />
    </node>

    <!-- cartographer_occupancy_grid_node -->
    <node pkg="cartographer_ros" type="cartographer_occupancy_grid_node" name="cartographer_occupancy_grid_node" args="-resolution 0.05" />



</launch>